#ifndef NEWFAVCMDWINDOW_H
#define NEWFAVCMDWINDOW_H

#include <QDialog>

namespace Ui {
class NewFavCmdWindow;
}

class NewFavCmdWindow : public QDialog
{
    Q_OBJECT

public:
    explicit NewFavCmdWindow(QWidget *parent = nullptr, int idx = -1, QString name = "", QString hex = "");
    ~NewFavCmdWindow();

private slots:

    void on_buttonBox_accepted();

private:
    Ui::NewFavCmdWindow *ui;
    int mIdx;

signals:
   void addNewFavCommand(int idx, QString name, QString hex);
};

#endif // NEWFAVCMDWINDOW_H
